@import url('https://fonts.googleapis.com/css?family=Poppins&display=swap');
* {
    box-sizing: border-box;
}

body {
    background-color: steelblue;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

.user-form {
    width: 100%;
    max-width: 43em;
}

.user-form input {
    width: 100%;
    display: block;
    background-color: #4c2885;
    border-radius: 0.3em;
    color: #fff;
    padding: 1em;
    margin-bottom: 2em;
    font-family: inherit;
    font-size: 1rem;
    box-shadow: 0 0.3em 0.6em rgba(154, 160, 185, 0);
}

.avatar {
    width: 100px;
    border-radius: 50%;
    border: thick solid #2a2a72;
    width: 9.3em;
}

.user-info {
    color: #eee;
    margin-left: 2rem;
}

.user-info h2 {
    margin-top: 0;
}

.user-info ul {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    padding: 0;
    max-width: 25em;
}

.user-info ul li {
    display: flex;
    align-items: center;
}

.user-info ul li strong {
    font-size: 0.9rem;
    margin-left: 0.5rem;
}

.repo {
    text-decoration: none;
    color: #fff;
    background-color: #212a72;
    font-size: 0.7rem;
    padding: 0.2rem 0.5rem;
    margin-bottom: 0.5rem;
    display: inline-block;
}

.user-form input:focus {
    outline: none;
}

.card {
    max-width: 50em;
    background-color: #4c2885;
    border-radius: 1.2em;
    box-shadow: 0 0.2em 0.6em rgba(0, 0, 0, 0.1);
    display: flex;
    padding: 3rem;
    margin: 0 1.5rem;
}

@media(max-width: 31em) {
    .card {
        flex-direction: column;
        align-items: center;
    }
    .user-form {
        max-width: 25em;
    }
}